Bug 106096 - Formatting marks (aka Non-printing characters) missing or misplaced
Summary: Formatting marks (aka Non-printing characters) missing or misplaced
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All Mac OS X (All)
: high major
Assignee: Khaled Hosny
QA Contact:
URL:
Whiteboard: target:5.3.2 target:5.3.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-02-20 09:26 UTC by Gabriele Ponzo
Modified: 2017-03-07 20:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Missing symbols and-or misplaced (117.12 KB, image/png)
2017-02-20 09:28 UTC, Gabriele Ponzo
Details
Misplaced Tabs (24.59 KB, image/png)
2017-02-20 09:41 UTC, Gabriele Ponzo
Details
screenshot (489.22 KB, image/png)
2017-02-21 19:08 UTC, ghostonthewire
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Ponzo 2017-02-20 09:26:48 UTC
Description:
The spaces between words is missing, tabs and CR (at least) are in a too high position.

Steps to Reproduce:
1. Open Writer
2. Type some words, separated by spaces, tabulations
3. Hit SHIFT + ENTER to put a Carriage Return

Actual Results:  
The spaces between words is missing, tabs and CR (at least) are in a too high position.

Expected Results:
Dots between words, other symbols centered in vertical position.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.112 Safari/537.36
Comment 1 Gabriele Ponzo 2017-02-20 09:28:25 UTC
Created attachment 131348 [details]
Missing symbols and-or misplaced
Comment 2 Gabriele Ponzo 2017-02-20 09:41:49 UTC
Created attachment 131349 [details]
Misplaced Tabs
Comment 3 ghostonthewire 2017-02-21 19:08:23 UTC
Created attachment 131392 [details]
screenshot

Can confirm absence of blue dots for space characters within text although correspondent option is enabled in Formatting Aids options. Downgrade to 5.2.5 resolves issue.
Comment 4 Gabriele Ponzo 2017-02-21 21:45:18 UTC
I've noticed on last attachment that tab symbols are centred, but also that MacOs version is more recent than mine, that is 10.8.5. So the behavior is different among versions of MacOs.
Comment 5 Alex Thurgood 2017-02-27 08:25:48 UTC
Confirming both on

Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 2; OS Version: Mac OS X 10.12.3; UI Render: default; Layout Engine: new; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group


The space characters are not displayed.

Tabs and line feed characters are displayed too high (above the centre of the line on which text is written).
Comment 6 Alex Thurgood 2017-02-27 08:28:22 UTC
@Khaled : anything to do with the recent changes in core text display code ?
Comment 7 Khaled Hosny 2017-02-27 11:23:02 UTC
This is fixed with commit https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=4f8edca85216b46b266fc5dba3103da57e5975be, the fix should appear in 5.3.2 release and possibly 5.3.1 if the uplift to 3-5-1 branch is approved.
Comment 8 Commit Notification 2017-03-07 20:16:40 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a923986349ab3dd765f1dc5890cf98ee4e6deac&h=libreoffice-5-3-1

tdf#106096: Fix visible space on Mac with the new layout engine

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.